Bug 98667 - kompare: save all action does not remember state
Summary: kompare: save all action does not remember state
Status: CONFIRMED
Alias: None
Product: kompare
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: Kompare developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-06 02:19 UTC by Ben Burton
Modified: 2009-03-11 00:47 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Burton 2005-02-06 02:19:43 UTC
Version:            (using KDE KDE 3.3.2)
Installed from:    Debian testing/unstable Packages
OS:                Linux

(Received through the debian BTS as #289569).

Hi,

A debian user has reported the following problem (which I can confirm).

Run kompare and use "apply difference" to modify one of the files.  Click "save all" and then exit.  Kompare stops and asks "would you like to save?", even though I have already saved all my changes.

Thanks - Ben.
Comment 1 Otto Bruggeman 2005-03-27 00:09:16 UTC
Yes I know, this is a very annoying bug which I tried to fix several times but none of the solutions is acceptable and might lead to data loss. I'll have to completely rework the saving for this and somehow keep some sort of state with undo redo info so I know if the thing is actually modified or not.

This is a hard one to solve and goes for all saving related bugs that are currently open (about 6 or 7) but I'll see if I have some time during the 3.5/4.0 development cycle.
Comment 2 Jeff Snyder 2005-06-06 21:43:48 UTC
This is gonna be a little spammy... I'm reassigning everything that's currently 
assigned to bruggie (who's been the default assignee for bugs since time began) 
to the new list address. 
 
Bruggie: if you're working on one or more of these atm, please snatch 'em 
back.. 
 
Everyone, esp. Joshua and Bruggie: if this genrates 33 mails, my sincere 
apologies.. 
Comment 3 Paul van Erk 2008-06-30 14:45:26 UTC
I hope I'm bringing this one back to life, 'coz it's a really annoying bug. Sure, I just do ALT-F4 and then I get asked to save it anyway, but still. It's still present in KDE4 version of kompare and also applies to the normal Save action (not just save all). Sure hope this gets picked up, it's been open for eh... long :)
Comment 4 Kevin Kofler 2008-06-30 15:27:45 UTC
"really annoying"? Come on, how hard is it to just click "no"? ;-) Sure, it should eventually be fixed, but I'd rather spend my time on real issues like bug 165421.
Comment 5 Paul van Erk 2008-06-30 15:37:54 UTC
True, true, that one is a lot worse. And I've been working around it by using ALT-F4 ENTER for years now. It'd be hard to get used to it working properly. :D  Anyway, this isn't a chat room, so I'll let you get back to 165421. ;)
Comment 6 Otto Bruggeman 2009-03-11 00:47:35 UTC
Should be fixed now in trunk, confirm this and it will be back ported to 4.2.2 :)